Package tigase.server.xmppserver

## Class S2SIOService

- java.lang.Object
- - tigase.net.IOService<RefObject>
  - - tigase.xmpp.XMPPIOService<java.lang.Object>
    - - tigase.server.xmppserver.S2SIOService

- All Implemented Interfaces:
    `java.util.concurrent.Callable<IOService<?>>`, `TLSEventHandler`, `IOListener`

      public class S2SIOService
      extends XMPPIOService<java.lang.Object>

  Created: Jun 14, 2010 12:30:53 PM
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `HANDSHAKING_DOMAIN_KEY` |
    `protected static java.lang.String` | `HANDSHAKING_ONLY_KEY` |
    `static java.lang.String` | `S2S_CONNECTION_KEY` |

    - ### Fields inherited from class tigase.xmpp.XMPPIOService

      `ACK_NAME, CROSS_DOMAIN_POLICY_FILE_PROP_KEY, CROSS_DOMAIN_POLICY_FILE_PROP_VAL, DOM_HANDLER, ID_ATT, parser, processors, REQ_NAME, serviceListener, STREAM_CLOSING, writeInProgress`

    - ### Fields inherited from class tigase.net.IOService

      `cb, CERT_CHECK_RESULT, CERT_REQUIRED_DOMAIN, decoder, encoder, HOSTNAME_KEY, LOCAL_CERT_CHECK_RESULT, partialCharacterBytes, PORT_TYPE_PROP_KEY, SESSION_ID_KEY, SSL_PROTOCOLS_KEY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `S2SIOService()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addCID​(CID cid)` | Adds another connection id (CID) to the authenticated list for this connection
    `void` | `addCID​(CID cid, tigase.server.xmppserver.S2SIOService.DIRECTION direction)` |
    `java.util.Set<CID>` | `getCIDs()` |
    `S2SConnection` | `getS2SConnection()` |
    `java.lang.String` | `getSessionId()` |
    `boolean` | `isAuthenticated()` |
    `boolean` | `isAuthenticated​(CID cid)` |
    `boolean` | `isHandshakingOnly()` |
    `boolean` | `isStreamNegotiationCompleted()` |
    `void` | `setDBKey​(java.lang.String key)` |
    `void` | `setS2SConnection​(S2SConnection s2s_conn)` |
    `void` | `setSessionId​(java.lang.String session_id)` |
    `void` | `streamNegotiationCompleted()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class tigase.xmpp.XMPPIOService

      `addPacketToSend, addReceivedPacket, call, checkBufferLimit, checkData, clearWaitingPackets, forceStop, getAuthorisedUserJid, getLastXmppPacketReceiveTime, getPacketsReceived, getPacketsSent, getReceivedPackets, getTotalPacketsReceived, getTotalPacketsSent, getUserJid, getWaitingForAct, getWaitingPackets, getXMLNS, hasParsedElements, moveParsedPacketsToReceived, prepareStreamClose, processSocketData, processWaitingPackets, receivedPackets, setAckMode, setAuthorisedUserJid, setElementLimits, setIOServiceListener, setProcessors, setUserJid, setXMLNS, shouldCountPacket, stop, writeRawData, xmppStreamClosed, xmppStreamOpen, xmppStreamOpened`

    - ### Methods inherited from class tigase.net.IOService

      `accept, byteOrder, connectionType, debug, debug, getBuffOverflow, getBytesReceived, getBytesSent, getCertificateContainer, getConnectionId, getDataReceiver, getIO, getLastTransferTime, getLocalAddress, getLocalCertificate, getLocalPort, getPeerCertificate, getReadCounters, getRefObject, getRemoteAddress, getSessionData, getSocketChannel, getSocketInputSize, getStatistics, getTlsUniqueId, getTotalBuffOverflow, getTotalBytesReceived, getTotalBytesSent, getUniqueId, getWriteCounters, handleMalformedInput, handshakeCompleted, isConnected, isInputBufferEmpty, isSocketServiceReady, readBytes, readCompleted, readData, setBufferLimit, setCertificateContainer, setConnectionId, setDataReceiver, setIOServiceListener, setRefObject, setSessionData, setSocketServiceReady, setSslContextContainer, setX509TrustManagers, startSSL, startTLS, startZLib, waitingToRead, waitingToSend, waitingToSendSize, writeBytes, writeData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### S2S_CONNECTION_KEY

          public static final java.lang.String S2S_CONNECTION_KEY

      See Also:
        Constant Field Values

    - #### HANDSHAKING_DOMAIN_KEY

          public static final java.lang.String HANDSHAKING_DOMAIN_KEY

      See Also:
        Constant Field Values

    - #### HANDSHAKING_ONLY_KEY

          protected static final java.lang.String HANDSHAKING_ONLY_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### S2SIOService

          public S2SIOService()

  - ### Method Detail

    - #### addCID

          public void addCID​(CID cid)

      Adds another connection id (CID) to the authenticated list for this connection

    - #### addCID

          public void addCID​(CID cid,
                             tigase.server.xmppserver.S2SIOService.DIRECTION direction)

    - #### getCIDs

          public java.util.Set<CID> getCIDs()

    - #### getS2SConnection

          public S2SConnection getS2SConnection()

    - #### setS2SConnection

          public void setS2SConnection​(S2SConnection s2s_conn)

    - #### getSessionId

          public java.lang.String getSessionId()

    - #### setSessionId

          public void setSessionId​(java.lang.String session_id)

    - #### isAuthenticated

          public boolean isAuthenticated​(CID cid)

    - #### isAuthenticated

          public boolean isAuthenticated()

    - #### isHandshakingOnly

          public boolean isHandshakingOnly()

    - #### isStreamNegotiationCompleted

          public boolean isStreamNegotiationCompleted()

    - #### streamNegotiationCompleted

          public void streamNegotiationCompleted()

    - #### setDBKey

          public void setDBKey​(java.lang.String key)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `XMPPIOService<java.lang.Object>`